Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast.tree
Class SelectExpressionImpl

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.ast.tree.Node
                  org.hibernate.hql.ast.tree.SqlNode
                      org.hibernate.hql.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.ast.tree.AbstractSelectExpression
                              org.hibernate.hql.ast.tree.FromReferenceNode
                                  org.hibernate.hql.ast.tree.SelectExpressionImpl

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, InitializeableNode, PathNode, ResolvableNode, SelectExpression

    public class SelectExpressionImpl

extends FromReferenceNode
implements SelectExpression

A select expression that was generated by a FROM element.

Author:
  josh Nov 6, 2004 8:27:38 AM
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.hql.ast.tree.FromReferenceNode
`ROOT_LEVEL`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`SelectExpressionImpl()`

Method Summary
`void` | `resolve(boolean generateJoin, boolean implicitJoin, String classAlias, antlr.collections.AST parent)` Does the work of resolving an identifier or a dot
`void` | `resolveIndex(antlr.collections.AST parent)` Does the work of resolving an an index [].
`void` | `setScalarColumnText(int i)` Appends AST nodes that represent the columns after the current AST node.

Methods inherited from class org.hibernate.hql.ast.tree.FromReferenceNode
`getDisplayText, getFromElement, getImpliedJoin, getPath, isResolved, isReturnableEntity, prepareForDot, recursiveResolve, recursiveResolve, resolve, resolve, resolveFirstChild, resolveInFunctionCall, setFromElement, setResolved`

Methods inherited from class org.hibernate.hql.ast.tree.AbstractSelectExpression
`getAlias, isConstructor, isScalar, setAlias`

Methods inherited from class org.hibernate.hql.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.ast.tree.SelectExpression
`getAlias, getDataType, getFromElement, isConstructor, isReturnableEntity, isScalar, setAlias, setText`

Methods inherited from interface org.hibernate.hql.ast.tree.InitializeableNode
`initialize`

Constructor Detail

### SelectExpressionImpl

    public SelectExpressionImpl()

Method Detail

### resolveIndex

    public void resolveIndex(antlr.collections.AST parent)
                      throws antlr.SemanticException

  Description copied from interface: `ResolvableNode`
  Does the work of resolving an an index [].

  Specified by:
    `resolveIndex` in interface `ResolvableNode`
  Throws:
    `antlr.SemanticException`

### setScalarColumnText

    public void setScalarColumnText(int i)
                             throws antlr.SemanticException

  Description copied from interface: `SelectExpression`
  Appends AST nodes that represent the columns after the current AST node. (e.g. 'as col0_O_')

  Specified by:
    `setScalarColumnText` in interface `SelectExpression`
  Parameters:
    `i` - The index of the select expression in the projection list.
  Throws:
    `antlr.SemanticException`

### resolve

    public void resolve(boolean generateJoin,
                        boolean implicitJoin,
                        String classAlias,
                        antlr.collections.AST parent)
                 throws antlr.SemanticException

  Description copied from interface: `ResolvableNode`
  Does the work of resolving an identifier or a dot

  Specified by:
    `resolve` in interface `ResolvableNode`
  Throws:
    `antlr.SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD